# Create dialog based on JQuery Dialogs plugin
  

## config input:

##### All the below config properties are optional except for the htmlId property.

```
   config = {
        htmlId: "dialog-1",
        title: "This is Dialog 1",
        resizable: true,
        height: "auto",
        width: 400,
        modal: true,
        okButtonText: "Ok",
        cancelButtonText: "Cancel",
        callback: function (selection) {
           // callback when button okButton, cancelButton for "x" is selected.
           // The  text of the button is returned in selection.
           // For the "x" button,  "x" is returned.
        }
        openInit: function (evt,ui {
            // call when the dialog is open, any content
            // in the dialog for example, a selection list
            // or text field can be set.
        }
   }
```

# A simple html element might look something like:
  
    <div id="dialog-1"  >
    <p>
        These items will be permanently deleted and cannot be recovered. Are you sure?
    </p>
    </div>
  
#   A simple dialog using all the config "defaults"  with above html element might look something like:
```
   let myDialog = createDialog({
         htmlId: "dialog-1"
      });
```
#   Then to launch the dialog:
  
    myDialog.dialog("open");
  

![GitHub Logo](/docs/simple-dialog.png)
